@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;600;900&family=Press+Start+2P&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@100;300;400&family=Oswald:wght@400;700&display=swap');

:root {
    /* --padding-container: 100px 0; */
    --color-title: #001A49
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    /* footer abajo */
    height: 100%;
}

body {
    /* footer abajo */
    display: flex;
    flex-direction: column;
    min-height: 100%;
    font-family: 'Poppins', sans-serif; 
    background: yellow;
    scroll-behavior: smooth;
    position: relative;
    overflow-x: hidden;
}

/* barra de navegacion */
.nav {
    width: 100%;
    height: 80px;
    background: rgba(0, 0, 0, .1);
    display: flex;
    align-items: center;
    justify-content: center;
    position: fixed;
    z-index: 9;
}

/* scroll sombra barra de navegacion */
.nav--on {
    background: rgba(0, 0, 0, .7);
    height: 100px;
    transition: 1s ease-in-out;
    z-index: 9;
}

.nav__container {
    width: 90%;
    height: 80px;
    max-width: 1200px;
    margin: 0 auto;

    display: flex;
    align-items: center;
    justify-content: space-between;

    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 9;
}

.nav__logo img {
    width: 200px;
    position: relative;
    display: flex;
    margin: 0 auto;
    margin-left: -30px;
}

.nav__menu--volver {
    list-style: none;
    text-decoration: none;
    color: black;
    font-size: 20px;
    cursor: pointer;
    display: flex;
    z-index: 99999;
}

.nav__menu--volver i {
    color: black;
}

.nav__subscribe {
    font-size: 13px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
    color: red;
    font-weight: 600;
    display: none;
    position: absolute;
    left: 220px;
    transition: .1s ease-in-out;
}

/* Iglesia Cards */
.container {
    width: 90%;
    max-width: 1200px;
    margin: 0 auto;
}

.iglesia__container {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.iglesia__container--info {
    width: 90%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    z-index: 1;
    margin: 12em auto 20em;
    /* background-color: aqua; */
}

.iglesia__container--titulo {
    font-family: 'Oswald', sans-serif;
    font-size: 35px;
    line-height: 25px;
    text-align: center;
    color: black;
    margin: 70px;
}

.iglesia__container--parrafo {
    font-family: 'Oswald', sans-serif;
    font-size: 20px;
    font-weight: 100;
    text-align: justify;
    color: #767676;
    margin: 50px auto;
}

.iglesia__card--uno {
    background: linear-gradient(180deg, rgba(0, 0, 0, 0) 49%, rgba(0, 0, 0, .7) 100%);
    background-position: center;
    background-size: cover;
}



/* boton animacion*/
.iglesia__container__boton {
    width: 90%;
    display: grid;
    grid-template-columns: 1fr;
    margin: 6em auto 0;
    gap: 2em;
}

.boton {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 50%;
    height: 80px;
    background: black;
    color: #fff;
    font-family: 'Montserrat', sans-serif;
    font-size: 16px;
    font-weight: 500;
    border: none;
    cursor: pointer;
    text-transform: uppercase;
    transition: .3s ease all;
    border-radius: 5;
    position: relative;
    overflow: hidden;
}

.boton span {
    position: relative;
    z-index: 2;
    transition: .3s ease all;
    text-decoration: none;
    text-decoration: none;
    list-style: none;
}

.boton.dos::after {
    content: "";
    width: 100%;
    position: absolute;
    z-index: 1;
    top: 0;
    left: calc(-100% - 80px);
    border-bottom: 80px solid red;
    border-right: 80px solid transparent;
    transition: .4s ease-in-out all;
}

.boton.dos:hover::after {
    left: 0;
}

.iglesia__container__boton--link {
    text-decoration: none;
}






/* FOOTER */
footer {
    width: 100%;
    height: 40%;
    position: absolute;
    bottom: 0;
    left: 0;
    background: url(../imagenes/footer3.png);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    /* footer abajo */

}

.footer__social i {
    color: white;
    font-size: 25px;
    margin: 10px;
    cursor: pointer;
}

.footer__social p {
    color: white;
    font-weight: 600;
}


.footer__social {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    text-align: center;
    margin-top: 15%;
    padding: 20px;
    gap: 5px;
}

.footer__social {
    position: absolute;
    bottom: 0;


}




/* media querys */
/* TabE Samsung */
@media screen and (max-width: 820px) {

    .nav__menu {
        display: block;
        font-size: 30px;
    }

    .nav__menu--close {
        font-size: 30px;
    }

    .nav__menu img {
        width: 30px;
        cursor: pointer;
    }

    .nav__logo {
        margin-left: 0px;
    }

    .nav__link {
        color: white;
    }

    .nav__link--menu {
        position: fixed;
        background: #151E21;
        color: white;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;

        width: 100vw;
        height: 100vh;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;

        pointer-events: none;
        z-index: 9;
        opacity: 0;
        transition: .2s opacity;
    }

    .nav__link--menu a {
        color: white;
        font-size: 25px;
        z-index: 9999;
    }

    .nav__avatar {
        display: none;
    }

    .iglesia__container--titulo {
        font-size: 45px;
        line-height: 40px;
        text-align: center;
        margin: 0 0 60px 0;
    }

    .iglesia__container--parrafo {
        font-size: 20px;
    }

    .iglesia__container--info {
        margin: 12em auto 15em;
    }



    /* FOOTER */
    footer {
        height: 30%;
    }


}

/* Motorola g42 */
@media screen and (max-width: 524px) {

    .iglesia__container--parrafo {
        width: 100%;
        line-height: 1.4;
        text-align: justify;
        font-family: 'Oswald', sans-serif;
        font-size: 20px;
        margin: 30px auto;
        color: #767676;
        list-style: none;
    }


    .iglesia__card {
        width: 90%;
        height: 100px
    }

    /* Iglesia Cards */

    .container {
        width: 100%;
    }

    .iglesia__container {
        width: 100%;
        display: flex;
        align-items: center;
        justify-content: center;
        margin: auto;

    }

    .iglesia__container--card {
        /* margin: 10em auto 1em; */
        gap: 0.5em;
    }

    /* FOOTER */
    footer {
        height: 30%;
    }

    .footer__social p {
        font-size: 13px;
    }


}

;